This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467533 - segfault when pressing Esc at prompt for encryption password
segfault when pressing Esc at prompt for encryption password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-10-17 21:54 EDT by James Cassell
Modified: 2008-11-03 15:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 15:01:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Cassell 2008-10-17 21:54:22 EDT
Description of problem:
when the Esc key is pressed when the graphical password prompt is up, a segfault happens

Version-Release number of selected component (if applicable):
0.6.0-0.2008.10.15.1.fc10


How reproducible:
Always

Steps to Reproduce:
1. Install rawhide (or beta or snapshot) with encryption enabled
2. boot
3. when the graphical password prompt comes up, press escape
  
Actual results:
segfault

Expected results:
should go to text-mode password prompt (like it goes to text-mode boot messages when you press esc when it's doing the rest of the boot sequence

Additional info:
the exact error is:
init[1]: segfault at 10 ip 00000037c6c0e6d7 sp 00007fffedbae290 error 4 in libdevmapper.so.1.02[37c7c00000+15000]
Comment 1 Ray Strode [halfline] 2008-10-30 17:45:16 EDT
I built a fix for this and requested it get pulled in for the preview.
Comment 2 Will Woods 2008-11-03 15:01:52 EST
plymouth-0.6.0-0.2008.10.30.2.fc10  (in Rawhide and F10Preview) works as expected on my system. 

Hitting Esc at the password prompt (text or graphical) switches to the 'details' mode, which prompts me for the password. Hitting Esc again switches back to graphics.

Note You need to log in before you can comment on or make changes to this bug.